
package net.northking.cctp.scriptcase.tools.hapUtil.pack;

import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class Package {

    @SerializedName("deliveryWithInstall")
    private Boolean mDeliveryWithInstall;
    @SerializedName("deviceType")
    private List<String> mDeviceType;
    @SerializedName("moduleType")
    private String mModuleType;
    @SerializedName("name")
    private String mName;

    public Boolean getDeliveryWithInstall() {
        return mDeliveryWithInstall;
    }

    public void setDeliveryWithInstall(Boolean deliveryWithInstall) {
        mDeliveryWithInstall = deliveryWithInstall;
    }

    public List<String> getDeviceType() {
        return mDeviceType;
    }

    public void setDeviceType(List<String> deviceType) {
        mDeviceType = deviceType;
    }

    public String getModuleType() {
        return mModuleType;
    }

    public void setModuleType(String moduleType) {
        mModuleType = moduleType;
    }

    public String getName() {
        return mName;
    }

    public void setName(String name) {
        mName = name;
    }

}
